---
search:
  tags:
    - Operations
    - GET
seo:
  description: >-
    ノード一つ（document_kind と node_id… Reference for the GET
    /v1/expenditure/nodes/{document_kind}/{node_id} endpoint in the 風土記 API.
sidebar:
  label: 歳出のノード一つと軸ごとの子
  badge: GET
title: 歳出のノード一つと軸ごとの子
type: openapi-operation
---
ノード一つ（document_kind と node_id で識別）と、その子を軸（axis）ごとに返す。search_expenditure_nodes で見つけたノードの内訳を辿るときに使う。

`GET /v1/expenditure/nodes/{document_kind}/{node_id}`

**Responses**

- `200` — 成功
- `400` — 入力が不正
- `404` — 見つからない
- `503` — 提供を止めている

Response example, 200:

```json
{
  "node": {
    "document_kind": "string",
    "node_id": "string",
    "parent_node_id": "string",
    "jurisdiction_code": "string",
    "fiscal_year": 0,
    "account_name": "string",
    "axis": "string",
    "is_subject": true,
    "node_kind": "string",
    "code": "string",
    "name": "string",
    "amount_yen": 0,
    "is_leaf": true,
    "kan_code": "string",
    "kou_code": "string",
    "moku_code": "string",
    "origin_id": "string",
    "source_page": 0,
    "source_x0": 0,
    "source_y0": 0,
    "source_x1": 0,
    "source_y1": 0,
    "amount_source_page": 0,
    "amount_source_x0": 0,
    "amount_source_y0": 0,
    "amount_source_x1": 0,
    "amount_source_y1": 0,
    "kan_name": "string",
    "kou_name": "string",
    "cofog_status": "string",
    "cofog_code": "string",
    "account_kind": "string",
    "is_interfund_transfer": true,
    "interfund_transfer_to": "string",
    "expenditure_setsu_id": "string"
  },
  "children": {
    "property1": [
      {
        "document_kind": "string",
        "node_id": "string",
        "parent_node_id": "string",
        "jurisdiction_code": "string",
        "fiscal_year": 0,
        "account_name": "string",
        "axis": "string",
        "is_subject": true,
        "node_kind": "string",
        "code": "string",
        "name": "string",
        "amount_yen": 0,
        "is_leaf": true,
        "kan_code": "string",
        "kou_code": "string",
        "moku_code": "string",
        "origin_id": "string",
        "source_page": 0,
        "source_x0": 0,
        "source_y0": 0,
        "source_x1": 0,
        "source_y1": 0,
        "amount_source_page": 0,
        "amount_source_x0": 0,
        "amount_source_y0": 0,
        "amount_source_x1": 0,
        "amount_source_y1": 0,
        "kan_name": "string",
        "kou_name": "string",
        "cofog_status": "string",
        "cofog_code": "string",
        "account_kind": "string",
        "is_interfund_transfer": true,
        "interfund_transfer_to": "string",
        "expenditure_setsu_id": "string"
      }
    ],
    "property2": [
      {
        "document_kind": "string",
        "node_id": "string",
        "parent_node_id": "string",
        "jurisdiction_code": "string",
        "fiscal_year": 0,
        "account_name": "string",
        "axis": "string",
        "is_subject": true,
        "node_kind": "string",
        "code": "string",
        "name": "string",
        "amount_yen": 0,
        "is_leaf": true,
        "kan_code": "string",
        "kou_code": "string",
        "moku_code": "string",
        "origin_id": "string",
        "source_page": 0,
        "source_x0": 0,
        "source_y0": 0,
        "source_x1": 0,
        "source_y1": 0,
        "amount_source_page": 0,
        "amount_source_x0": 0,
        "amount_source_y0": 0,
        "amount_source_x1": 0,
        "amount_source_y1": 0,
        "kan_name": "string",
        "kou_name": "string",
        "cofog_status": "string",
        "cofog_code": "string",
        "account_kind": "string",
        "is_interfund_transfer": true,
        "interfund_transfer_to": "string",
        "expenditure_setsu_id": "string"
      }
    ]
  },
  "next_page_token": "string",
  "origins": [
    {
      "origin_id": "string",
      "jurisdiction_code": "string",
      "fiscal_year": 0,
      "document_kind": "string",
      "amendment_number": 0,
      "title": "string",
      "url": "string",
      "format": "string",
      "sha256": "string"
    }
  ]
}
```
